summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1998-02-21 11:54:09 +0000
committerJim Meyering <jim@meyering.net>1998-02-21 11:54:09 +0000
commit2326be84d51bc7222999daf6673ecc019de1f1ea (patch)
tree3f05535ac860e53d89d5bf8f08533b0c6fa03b51 /tests
parent7980fa3b78f994b35694497b6200510b8456f0ea (diff)
downloadcoreutils-2326be84d51bc7222999daf6673ecc019de1f1ea.tar.xz
*** empty log message ***
Diffstat (limited to 'tests')
-rwxr-xr-xtests/mv/mv-special-110
1 files changed, 8 insertions, 2 deletions
diff --git a/tests/mv/mv-special-1 b/tests/mv/mv-special-1
index ca8525dcd..410034d80 100755
--- a/tests/mv/mv-special-1
+++ b/tests/mv/mv-special-1
@@ -3,6 +3,8 @@
: ${MV=mv}
: ${RM=rm}
: ${MKNOD=mknod}
+: ${MKDIR=mkdir}
+: ${TOUCH=touch}
. $srcdir/setup
@@ -11,19 +13,23 @@ if test -z $other_partition_tmpdir; then
fi
null=.mv-null
+dir=.mv-dir
test_failure=0
$RM -f $null || test_failure=1
$MKNOD $null p || test_failure=1
+$MKDIR -p $dir/a/b/c $dir/d/e/f || test_failure=1
+$TOUCH $dir/a/b/c/file1 $dir/d/e/f/file2 || test_failure=1
+
if test $test_failure = 1; then
echo 'failure in testing framework'
exit 1
fi
fail=0
-$MV $null $other_partition_tmpdir || fail=1
+$MV $null $dir $other_partition_tmpdir || fail=1
-$RM -rf $null $other_partition_tmpdir
+$RM -rf $null $dir $other_partition_tmpdir
exit $fail